# Plan
Here's a checklist of my immediate plans for the future. If you have an idea for a feature, feel free to make an issue.

## v1.2.1
* [x] Improve better handle latency.
	* [x] Fix bug with unnecessary high latency sometimes.
		* [x] Create new rolling average queue whose capacity depends on the age of the oldest entry.
		* [x] Store only the length right before updates are received in the player update queue.
		* [x] Move queue balancing to before the world updates and other fixes to prevent jitter.
		* [x] Tweak the parameters.
	* [x] Change client-side prediction to estimate bullets fired by other players that haven't yet been fired.
* [x] Fix bug where players don't seem to spawn close to each other in the lobby when they first join. Might be related to lobby resetting.
* [x] Resolve TODO.
* [x] Flatpak.
	* [x] Write code to procedurally generate icon.
	* [x] Create metainfo file.
	* [x] Create desktop file.
	* [x] Add feature flag for Flatpak build and change the filesystem implementation.
	* [x] Create manifest file.
		* [x] Get it working.
		* [x] Add branch and version.
		* [x] Add desktop, metainfo and icon files.
		* [x] Get displayed name capitalised.
		* [x] Add architecture of x86_64 if not already set.
			Architecture already set by default.
* [x] Fix bug with changes to the displayed particles not being updated.
* [x] Change icon generation code.
* [x] Update documentation to mention location of server configs for the Flatpak distribution.
* [x] Update README to mention Flatpak.
* [x] Change date of release in appstream metainfo.

## v1.3.0
* [ ] Allow the player to choose their colour and name.
* [ ] Teams.
* [ ] Improve occupation game mode.
* [ ] Update SERP version.
* [ ] Update appstream metainfo with new release.
